Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Update Topic Api

PUT/topics/{topic_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
topic_idstringrequired
Request body
requiredapplication/json
payloadTopicUpdateReqBodyrequired
Show properties
partition_countinteger | null

New partition count for the topic

Show properties
Any of:
integer
integer
null
null
tagsstring[] | null

List of tag IDs to assign to this topic

Show properties
Any of:
string[]
Array of string
string
null
null
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PUT 'https://api.streamkap.com/topics/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "payload": {
    "partition_count": 0,
    "tags": [
      "string"
    ]
  }
}'
Response
Successful Response